--- ../../../../source/localization/scripts/slackinstall	2017-12-09 10:10:07.265796683 +0100
+++ slackinstall	2018-12-02 22:07:21.891191056 +0100
@@ -105,9 +105,15 @@
 chroot $ROOTDIR groupadd -fg 610 braille
 # Create the group and user lightdm for lightdm.
 chroot $ROOTDIR groupadd -fg 620 lightdm
-chroot $ROOTDIR useradd -c "Light Display Manager" -d /var/lib/lightdm -u 620 -g lightdm -G audio -s /sbin/nologin lightdm
-# Make gdm a memeber of the audio group
-chroot $ROOTDIR usermod -a -G audio gdm
+chroot $ROOTDIR useradd -c "Light Display Manager" -d /var/lib/lightdm -u 620 -g lightdm -G audio,braille -s /sbin/nologin lightdm
+# Make gdm a member of the audio and braille groups
+chroot $ROOTDIR usermod -a -G audio,braille gdm
+# Set the sound card that was probed in rc.S
+if [ -f /tmp/asound.conf ]; then
+	cp /tmp/asound.conf $ROOTDIR/etc/
+	chmod 644 $ROOTDIR/etc/asound.conf
+fi
+
 for package in $(find -name "*t?z"); do
   SHORTNAME=$(basename $package|sed "s/-[^-]*-[^-]*-[^-]*$//")
   if printf "$first"|grep "$package" 1>/dev/null; then
